class CreateOriginalPictures < ActiveRecord::Migration
  def change
    create_table :original_pictures do |t|
      t.string :ext, :null => false
      t.integer :width, :null => false
      t.integer :height, :null => false
      t.integer :filesize, :null => false
      t.integer :artist_id, :null => false, :default => 0
      t.integer :license_id, :null => false, :default => 0

      t.timestamps
    end
    add_index :original_pictures, [:artist_id]
  end
end
